{
  "format_version": "1.16.0",
  "animation_controllers": {
    "controller.animation.sled.fly": {
      "initial_state": "default",
      "states": {
        "default": {
          "transitions": [
            {
              "flying_mode": "query.has_rider"
            }
          ]
        },
        "flying_mode": {
          "on_entry": [
            "/function fly_sled"
          ],
          "transitions": [
            {
              "default": "(1.0)"
            }
          ]
        }
      }
    },
    "controller.animation.sled.movement": {
      "initial_state": "default",
      "states": {
        "default": {
          "transitions": [
            {
              "fly": "query.is_on_ground == 0"
            }
          ],
          "on_entry": [
            "@s on_ground"
          ]
        },
        "fly": {
          "transitions": [
            {
              "default": "query.is_on_ground == 1"
            }
          ],
          "on_entry": [
            "@s is_flying"
          ]
        }
      }
    }
  }
}